'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var randomId = function randomId() {
  return 'input-' + Math.random().toString(16).slice(2, 8);
};

exports.default = function (_ref) {
  var label = _ref.label,
      error = _ref.error,
      input = _ref.input,
      help = _ref.help,
      className = _ref.className,
      _ref$id = _ref.id,
      id = _ref$id === undefined ? randomId() : _ref$id;

  var isCheckbox = input.type.toString().includes('Checkbox');

  return _react2.default.createElement(
    'div',
    { className: 'form-group' + (error ? ' has-error' : '') + ' row ' + className },
    _react2.default.createElement(
      'label',
      { className: 'col-sm-3 control-label', htmlFor: id },
      isCheckbox ? null : label
    ),
    _react2.default.createElement(
      'div',
      { className: 'col-sm-9' + (isCheckbox ? ' checkbox' : '') },
      _react2.default.cloneElement(input, {
        id: id,
        help: undefined,
        className: isCheckbox ? null : 'form-control'
      })
    ),
    help ? _react2.default.createElement(
      'small',
      { className: 'help-block col-sm-9 col-sm-offset-3' },
      help
    ) : null,
    error ? _react2.default.createElement(
      'small',
      { className: 'text-danger col-sm-9 col-sm-offset-3' },
      error
    ) : null
  );
};